summaryrefslogtreecommitdiffstats
path: root/tests/functions.sh
diff options
context:
space:
mode:
authorKarel Zak2008-08-14 13:01:04 +0200
committerKarel Zak2008-08-14 13:01:04 +0200
commit928e9f327fb7c35c533034a8e68016f613decbc7 (patch)
tree9eb82f4ceb8ac0f047e1ec8c4a3ed77be8e06c9e /tests/functions.sh
parentlscpu: --sysroot option and stable cache output (diff)
downloadkernel-qcow2-util-linux-928e9f327fb7c35c533034a8e68016f613decbc7.tar.gz
kernel-qcow2-util-linux-928e9f327fb7c35c533034a8e68016f613decbc7.tar.xz
kernel-qcow2-util-linux-928e9f327fb7c35c533034a8e68016f613decbc7.zip
tests: detect libvolume_id when mount(8) is compiled
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/functions.sh')
-rw-r--r--tests/functions.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/functions.sh b/tests/functions.sh
index 585773152..a39c98b61 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -88,9 +88,11 @@ function ts_init {
export BLKID_FILE
- ldd $TS_CMD_MOUNT | grep -q 'libvolume_id' &> /dev/null
- if [ "$?" == "0" ]; then
- TS_HAS_VOLUMEID="yes"
+ if [ -x $TS_CMD_MOUNT ]; then
+ ldd $TS_CMD_MOUNT | grep -q 'libvolume_id' &> /dev/null
+ if [ "$?" == "0" ]; then
+ TS_HAS_VOLUMEID="yes"
+ fi
fi
rm -f $TS_OUTPUT